expect_named {testthat} | R Documentation

## Expectation: does object have names?

### Description

You can either check for the presence of names (leaving `expected` blank), specific names (by suppling a vector of names), or absence of names (with `NULL`).

### Usage

    expect_named(object, expected, ignore.order = FALSE,
      ignore.case = FALSE, info = NULL, label = NULL)

### Arguments

`object` | Object to test. Supports limited unquoting to make it easier to generate readable failures within a function or for loop. See quasi_label for more details.
`expected` | Character vector of expected names. Leave missing to match any names. Use `NULL` to check for absence of names.
`ignore.order` | If `TRUE`, sorts names before comparing to ignore the effect of order.
`ignore.case` | If `TRUE`, lowercases all names to ignore the effect of case.
`info` | Extra information to be included in the message. This argument is soft-deprecated and should not be used in new code. Instead see alternatives in quasi_label.
`label` | Used to customise failure messages. For expert use only.
`...` | Other arguments passed on to `has_names()`.

### See Also

Other expectations: `comparison-expectations`, `equality-expectations`, `expect_length`, `expect_match`, `expect_null`, `inheritance-expectations`, `logical-expectations`, `output-expectations`

### Examples

    x <- c(a = 1, b = 2, c = 3)
    expect_named(x)
    expect_named(x, c("a", "b", "c"))

    # Use options to control sensitivity
    expect_named(x, c("B", "C", "A"), ignore.order = TRUE, ignore.case = TRUE)

    # Can also check for the absence of names with NULL
    z <- 1:4
    expect_named(z, NULL)

[Package testthat version 2.1.1 Index]